KausateKausate Docs
Api reference2025 04 01Search
Viewing API version 2025-04-01. View the latest version.

Autocomplete Companies (indexed)

Fast type-ahead suggestions for company names. Returns up to 50 matching companies based on name prefix.

GET
/v2/companies/search/autocomplete
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Query Parameters

jurisdictionCode?|
query*string
Length2 <= length
limit?|
Default10

Header Parameters

Kausate-Version?string
Default"2025-04-01"
Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.kausate.com/v2/companies/search/autocomplete?query=string" \  -H "Kausate-Version: 2025-04-01"
{
  "results": [
    {
      "kausateId": "string",
      "jurisdictionCode": "ec",
      "name": "string",
      "alternativeNames": "string",
      "identifiers": [
        {
          "value": "string",
          "type": "string",
          "source": "string",
          "description": "string",
          "extra": {}
        }
      ]
    }
  ]
}
{
  "detail": "Invalid company ID format"
}
{
  "detail": "Invalid API key"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": "An internal error occurred"
}

Last updated on